You are viewing documentation for version 2 of the AWS SDK for Ruby. Version 3 documentation can be found here.

Class: Aws::RDS::Types::ModifyDBSnapshotMessage

Inherits:
Struct
  • Object
show all
Defined in:
(unknown)

Overview

Note:

When passing ModifyDBSnapshotMessage as input to an Aws::Client method, you can use a vanilla Hash:

{
  db_snapshot_identifier: "String", # required
  engine_version: "String",
  option_group_name: "String",
}

Instance Attribute Summary collapse

Instance Attribute Details

#db_snapshot_identifierString

The identifier of the DB snapshot to modify.

Returns:

  • (String)

    The identifier of the DB snapshot to modify.

#engine_versionString

The engine version to upgrade the DB snapshot to.

The following are the database engines and engine versions that are available when you upgrade a DB snapshot.

MySQL

  • 5.5.46 (supported for 5.1 DB snapshots)

^

Oracle

  • 12.1.0.2.v8 (supported for 12.1.0.1 DB snapshots)

  • 11.2.0.4.v12 (supported for 11.2.0.2 DB snapshots)

  • 11.2.0.4.v11 (supported for 11.2.0.3 DB snapshots)

Returns:

  • (String)

    The engine version to upgrade the DB snapshot to.

#option_group_nameString

The option group to identify with the upgraded DB snapshot.

You can specify this parameter when you upgrade an Oracle DB snapshot. The same option group considerations apply when upgrading a DB snapshot as when upgrading a DB instance. For more information, see Option Group Considerations.

Returns:

  • (String)

    The option group to identify with the upgraded DB snapshot.